h27440
s 00023/00000/00000
d D 1.1 82/08/03 08:46:03 cecily 1 0
e
u
U
t
T
I 1
#include	<stdio.h>

putw(i, iop)
register i;
register struct _iobuf *iop;
{
#ifndef pdp11
	register j;
	union {
		int	word;
		char	bytes[sizeof(int)];
	} U;
#endif

#ifdef pdp11
	putc(i, iop);
	putc(i>>8, iop);
#else
	U.word = i;
	for (j = 0; j < sizeof(int); j++)
		putc(U.bytes[j], iop);
#endif
}
E 1
